# Uses of Interface
org.jboss.modules.xml.XmlPullParser

Packages that use XmlPullParser
Package
Description
org.jboss.modules.xml

## Uses of XmlPullParser in org.jboss.modules.xml

Classes in org.jboss.modules.xml that implement XmlPullParser
Modifier and Type
Class
Description
`class`
`MXParser`
Absolutely minimal implementation of XMLPULL V1 API
Methods in org.jboss.modules.xml with parameters of type XmlPullParser
Modifier and Type
Method
Description
`static XmlPullParserException`
ModuleXmlParser.`endOfDocument(XmlPullParser reader)`
`static FactoryPermissionCollection`
PermissionsXmlParser.`parsePermissionsXml(XmlPullParser reader, ModuleLoader moduleLoader, String moduleName)`
Parse the `permissions.xml` content.
`static XmlPullParserException`
ModuleXmlParser.`unexpectedContent(XmlPullParser reader)`
Constructors in org.jboss.modules.xml with parameters of type XmlPullParser
Modifier
Constructor
Description
``
`XmlPullParserException(String msg, XmlPullParser parser, Throwable chain)`